:root {
  --ui-border: #1f1f1f;
  --ui-bg: #ffffff;
  --ui-shadow: 0 10px 30px rgba(0, 0, 0, .08);
  --ui-radius: 10px;

  /* ===== colores del mapa ===== */
  --zone-default: #111;
  /* color normal */
  --zone-active: rgb(194, 46, 155);
  ;
  /* “iluminado” (ajústalo) */
  --zone-stroke: rgba(255, 255, 255, .65);
}


.layout-flags {
  position: relative;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 2rem;

}

.flagbar {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  max-width: 1300px;
  gap: 10px;
}

.flagbtn {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  cursor: pointer;
  user-select: none;
  border: 0;
  background: transparent;
  padding: 6px 8px;
  border-radius: 10px;
  transition: background .15s ease;
}

.flagbtn:hover {
  background: rgba(33, 24, 32, 0.077);
}

.flagbtn[aria-pressed="true"] {
  background: rgba(0, 0, 0, .06);
}

.flagimg {
  width: 48px;
  height: 32px;
  object-fit: cover;
  border: 2px solid var(--ui-border);
  border-radius: 4px;
  display: block;
}

.flaglabel {
  font-size: 14px;
}

.mapwrap {
  background: var(--ui-bg);
  border-radius: var(--ui-radius);
  padding: 10px;
}

#mapwrap {
  padding-right: 2rem;
  max-width: 600px;
}

/* ======= Zonas del mapa ======= */
svg .zone {
  cursor: pointer;
  fill: #c1c1c1;
  stroke: #878787;
  transition: fill .18s ease, filter .18s ease, transform .10s ease;
  transform-origin: center;
}

svg .zone:hover {
  fill: var(--zone-active);
  filter: brightness(1.15);
}

svg .zone.is-active {
  fill: var(--zone-active);
  filter: drop-shadow(0 4px 4px rgba(0, 0, 0, .20));
  /* Borde “glow” suave (sirve si la forma lo soporta) */
  stroke: var(--zone-stroke);
  stroke-width: 2;
  paint-order: stroke fill;
}

.zone-null {
  fill: #c1c1c1;
  stroke: #878787;
}

.card-info-country {
  max-width: 100%;
  min-width: 300px;
  border: 1px solid #50266e;
  border-radius: 1.5rem;
  padding: 2rem;
  height: fit-content;
}

.card__header {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 10px 12px;
  border-bottom: 3px solid var(--ui-border);
  background: #fff;
}

.card__header img {
  width: 42px;
  height: 28px;
  border: 2px solid var(--ui-border);
  border-radius: 4px;
  object-fit: cover;
}

.card__title {
  font-size: 22px;
  font-weight: 700;
  line-height: 1.1;
}

.card__body {
  padding: 14px 11px 16px 0;
  font-size: 16px;
  line-height: 1.5;
  max-height: 350px;
  overflow-y: auto;
  font-size: .95rem;
  text-align: justify;
}

/* Works on Chrome, Edge, and Safari */
.card__body::-webkit-scrollbar {
  width: 7px;
}

.card__body::-webkit-scrollbar-track {
  background: #e2dfe4;
}

.card__body::-webkit-scrollbar-thumb {
  background-color: #e2dfe4;
  border-radius: 10px;
  border: 3px solid #50266e;
}

.card__body p {
  margin: 5px 0;
  text-align: justify;
}

.card__body ul li {
  list-style: circle;
}

.card__hint {
  margin-top: 10px;
  font-size: 12px;
  color: #444;
  opacity: .8;
}

#map-info-area {
  display: grid;
  grid-template-columns: 65% 35%;
  margin-top: 2rem;
  max-width: 1100px;
}

@media only screen and (max-width: 767.98px) {
  #map-info-area {
    grid-template-columns: 100%;
  }

  #mapwrap {
    display: none;
  }

  .flagbar {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media only screen and (max-width: 575px) {
  .flagbar {
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;
  }
}